Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.scripts
Class GurmukhiScriptProcessor

    java.lang.Object
      org.apache.fop.complexscripts.scripts.ScriptProcessor
          org.apache.fop.complexscripts.scripts.DefaultScriptProcessor
              org.apache.fop.complexscripts.scripts.IndicScriptProcessor
                  org.apache.fop.complexscripts.scripts.GurmukhiScriptProcessor

    public class GurmukhiScriptProcessor

extends IndicScriptProcessor

The `GurmukhiScriptProcessor` class implements a script processor for performing glyph substitution and positioning operations on content associated with the Gurmukhi script.

This work was originally authored by Glenn Adams (gadams@apache.org).

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.complexscripts.scripts.IndicScriptProcessor
`IndicScriptProcessor.DefaultSyllabizer, IndicScriptProcessor.Segment, IndicScriptProcessor.Syllabizer`

Method Summary
`protected int` | `findPreBaseMatra(GlyphSequence gs)` Find pre-base matra in sequence.
`protected int` | `findPreBaseMatraTarget(GlyphSequence gs, int source)` Find pre-base matra target in sequence.
`protected int` | `findReph(GlyphSequence gs)` Find reph in sequence.
`protected int` | `findRephTarget(GlyphSequence gs, int source)` Find reph target in sequence.
`protected java.lang.Class<? extends org.apache.fop.complexscripts.scripts.GurmukhiScriptProcessor.GurmukhiSyllabizer>` | `getSyllabizerClass()` Get script specific syllabizer class.
`GlyphSequence` | `reorderCombiningMarks(GlyphDefinitionTable gdef, GlyphSequence gs, int[][] gpa, java.lang.String script, java.lang.String language)` Reorder combining marks in glyph sequence so that they precede (within the sequence) the base character to which they are applied.

Methods inherited from class org.apache.fop.complexscripts.scripts.IndicScriptProcessor
`getOptionalPositioningFeatures, getOptionalSubstitutionFeatures, getPositioningContextTester, getPositioningFeatures, getSubstitutionContextTester, getSubstitutionFeatures, makeProcessor, position, substitute`

Methods inherited from class org.apache.fop.complexscripts.scripts.ScriptProcessor
`assembleLookups, getInstance, getScript, position, substitute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSyllabizerClass

    protected java.lang.Class<? extends org.apache.fop.complexscripts.scripts.GurmukhiScriptProcessor.GurmukhiSyllabizer> getSyllabizerClass()

  Description copied from class: `IndicScriptProcessor`
  Get script specific syllabizer class.

  Overrides:
    `getSyllabizerClass` in class `IndicScriptProcessor`
  Returns:
    a syllabizer class object or null

### findPreBaseMatra

    protected int findPreBaseMatra(GlyphSequence gs)

  Description copied from class: `IndicScriptProcessor`
  Find pre-base matra in sequence.

  Overrides:
    `findPreBaseMatra` in class `IndicScriptProcessor`
  Parameters:
    `gs` - input sequence
  Returns:
    index of pre-base matra or -1 if not found

### findPreBaseMatraTarget

    protected int findPreBaseMatraTarget(GlyphSequence gs,
                                         int source)

  Description copied from class: `IndicScriptProcessor`
  Find pre-base matra target in sequence.

  Overrides:
    `findPreBaseMatraTarget` in class `IndicScriptProcessor`
  Parameters:
    `gs` - input sequence
    `source` - index of pre-base matra
  Returns:
    index of pre-base matra target or -1

### findReph

    protected int findReph(GlyphSequence gs)

  Description copied from class: `IndicScriptProcessor`
  Find reph in sequence.

  Overrides:
    `findReph` in class `IndicScriptProcessor`
  Parameters:
    `gs` - input sequence
  Returns:
    index of reph or -1 if not found

### findRephTarget

    protected int findRephTarget(GlyphSequence gs,
                                 int source)

  Description copied from class: `IndicScriptProcessor`
  Find reph target in sequence.

  Overrides:
    `findRephTarget` in class `IndicScriptProcessor`
  Parameters:
    `gs` - input sequence
    `source` - index of reph
  Returns:
    index of reph target or -1

### reorderCombiningMarks

    public GlyphSequence reorderCombiningMarks(GlyphDefinitionTable gdef,
                                               GlyphSequence gs,
                                               int[][] gpa,
                                               java.lang.String script,
                                               java.lang.String language)

  Description copied from class: `ScriptProcessor`
  Reorder combining marks in glyph sequence so that they precede (within the sequence) the base character to which they are applied. N.B. In the case of RTL segments, marks are not reordered by this, method since when the segment is reversed by BIDI processing, marks are automatically reordered to precede their base glyph.

  Overrides:
    `reorderCombiningMarks` in class `DefaultScriptProcessor`
  Parameters:
    `gdef` - the glyph definition table that applies
    `gs` - an input glyph sequence
    `gpa` - associated glyph position adjustments (also reordered)
    `script` - a script identifier
    `language` - a language identifier
  Returns:
    the reordered (output) glyph sequence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.